package com.utopiaindustries.controller;

import com.utopiaindustries.service.DashboardService;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.ui.Model;

import java.time.LocalDate;

@Controller
@RequestMapping("/dashboard")
public class DashboardController {

    private final DashboardService dashboardService;

    public DashboardController(DashboardService dashboardService) {
        this.dashboardService = dashboardService;
    }

    @GetMapping
    public String getDashboard(Model model) {
        model.addAttribute("phases", dashboardService.getPhasesProgressDayWise());
        model.addAttribute("date", LocalDate.now());
        model.addAttribute("day", LocalDate.now().getDayOfWeek());
        model.addAttribute("line", "Line 1" );
        model.addAttribute("detail", dashboardService.getLineDetails() );

        return "dashboard";
    }
}
